Attribute VB_Name = "Module1"
Global Const LISTVIEW_MODE0 = "View Large Icons"
Global Const LISTVIEW_MODE1 = "View Small Icons"
Global Const LISTVIEW_MODE2 = "View List"
Global Const LISTVIEW_MODE3 = "View Details"
Public fMainForm As frmMain

Public dsDD As DXDatastoreDD
Public cabinets As DXSequentialCollectionDD

Public connectFlag As Boolean


Public Type EntityDef
  entityType As String
  entityID As String
End Type

Sub getObjByName(coll As DXSequentialCollectionDD, collType As String, name As String, outObj As Object)
  On Error GoTo err_label
  
  If (coll Is Nothing) Or (collType = "") Or (name = "") Then
    MsgBox "A required parameter is missing", , "getObjByName"
    Exit Sub
  End If
  
  Dim it As DXSequentialIteratorDD
  
  Select Case collType
    Case "DXCabinetDefDD"
      Dim cab As DXCabinetDefDD
      Set it = coll.createIterator
      Do While it.more
        Set cab = it.Next
        If cab.getName = name Then
          Set outObj = cab
          Exit Sub
        End If
      Loop  ' end cabinet processing
    Case Else
  End Select
   

  Exit Sub
err_label:
  MsgBox Err.Description, , "getObjByName"
  
End Sub




Sub Main()
  Dim fLogin As New frmLogin
  fLogin.Show vbModal
  If Not fLogin.OK Then
    'Login Failed so exit app
    End
  End If
  Unload fLogin

  Set fMainForm = New frmMain
  fMainForm.Show
End Sub

