' @copyright(disclaimer) 
' Licensed Materials - Property of IBM
' IBM  Enterprise Information Portal for Multiplatforms V8.1  (program number 5724-B43)
' (c ) Copyright IBM Corp. 1998,  2002. All Rights Reserved.
' 
' US Government Users Restricted Rights
' Use, duplication or disclosure restricted by GSA ADP Schedule
' Contract with IBM Corp.
' 
' DISCLAIMER OF WARRANTIES :
' 
' Permission is granted to copy and modify this Sample code, and to
' distribute modified versions provided that both the copyright
' notice,- and this permission notice and warranty disclaimer appear in all copies and 
' modified versions. 
' 
' THIS SAMPLE CODE IS LICENSED TO YOU AS-IS. 
' IBM AND ITS SUPPLIERS AND LICENSORS DISCLAIM ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, 
' IN SUCH SAMPLE CODE, INCLUDING THE WARRANTY OF NON-INFRINGEMENT AND THE IMPLIED 
' WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL 
' IBM OR ITS LICENSORS OR SUPPLIERS BE LIABLE FOR ANY DAMAGES ARISING OUT OF THE USE OF OR 
' INABILITY TO USE THE SAMPLE CODE, DISTRIBUTION OF THE SAMPLE CODE, OR COMBINATION OF THE 
' SAMPLE CODE WITH ANY OTHER CODE. IN NO EVENT SHALL IBM OR ITS LICENSORS AND 
' SUPPLIERS BE LIABLE FOR ANY LOST REVENUE, LOST PROFITS OR DATA, OR FOR DIRECT, INDIRECT, 
' SPECIAL, CONSEQUENTIAL,INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF 
' THE THEORY OF LIABILITY,-, EVEN IF IBM OR ITS LICENSORS OR SUPPLIERS HAVE BEEN ADVISED 
' OF THE POSSIBILITY OF SUCH DAMAGES.
'
' @endCopyright

VERSION 5.00
Begin VB.Form ProcessRes 
   Caption         =   "Form2"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form2"
   ScaleHeight     =   11115
   ScaleWidth      =   15240
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox ResultTable 
      Height          =   3255
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   120
      Width           =   4695
   End
End
Attribute VB_Name = "ProcessRes"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Public Sub ProcessResults(rsCursor As DXResultSetCursorDES)
  Dim cnt As Integer
  cnt = 0
  
  ' First retrieve the documents/folders from the results collection
  Dim ddo As DXDDODES
  Do While rsCursor.isValid
    Set ddo = rsCursor.fetchNext
    'ddo.retrieve
    cnt = cnt + 1
    'Display the data
    If Not (ddo Is Nothing) Then
     DisplayDDO ddo, cnt
    End If
  Loop                             ' end do while cursor.more
End Sub

Public Sub DisplayDDO(ddo As DXDDODES, cnt As Integer)

  Dim itemType As Integer, count As Integer, i As Integer
  Dim attrType As Integer
  Dim pid As DXPidDES
  Dim strPidString As String
  Dim dataName As String
  Dim data As Variant
  Dim dataObj As Object
  Dim aVar As Variant
  aVar = ddo.getPropertyByName(DX_DES_PROPERTY_ITEM_TYPE)
  itemType = aVar
  ResultTable.Text = ResultTable.Text & "=====> Item " & cnt & "<=====" & vbCrLf
  Set pid = ddo.getPidObject
  strPidString = pid.pidString
  ResultTable.Text = ResultTable.Text & "pid " & strPidString & vbCrLf
  ResultTable.Text = ResultTable.Text & "********************" & vbCrLf
  Select Case itemType
    Case DX_DES_DOCUMENT
      ResultTable.Text = ResultTable.Text & "Item is a document" & vbCrLf
      count = ddo.dataCount
      For i = 1 To count
        dataName = ddo.getDataName(i)
        aVar = ddo.getDataPropertyByName(dataName, DX_DES_PROPERTY_TYPE)
        attrType = aVar
        If Not (attrType = DX_DES_TIMESTAMP Or attrType = DX_DES_DATAOBJECT Or attrType = DX_DES_XDOOBJECT Or attrType = DX_DES_COLLECTION_XDO) Then
           data = ddo.GetData(i)
           If VarType(data) = vbString Or VarType(data) = vbInteger Or _
              VarType(data) = vbLong Or VarType(data) = vbShort Then
            ResultTable.Text = ResultTable.Text & "attribute name: " & dataName & vbCrLf
            ResultTable.Text = ResultTable.Text & "attribute type: " & attrType & vbCrLf
            ResultTable.Text = ResultTable.Text & "value: " & data & vbCrLf
          End If
        Else
         Set dataObj = ddo.GetData(i)
         ResultTable.Text = ResultTable.Text & "attribute name: " & dataName & vbCrLf
         If attrType = DX_DES_TIMESTAMP Then
          ResultTable.Text = ResultTable.Text & "value: DXTimestampDES " & vbCrLf
         Else
          If attrType = DX_DES_XDOOBJECT Then
           ResultTable.Text = ResultTable.Text & "value: DXBlobDES " & vbCrLf
          Else
            If attrType = DX_DES_COLLECTION Then
              ResultTable.Text = ResultTable.Text & "value: collection " & vbCrLf
            End If
          End If
         End If
        End If
      Next                         ' end for i = 1 to count
  End Select
  
End Sub


Private Sub Form_Load()

End Sub
