/*
@copyright(disclaimer)

Licensed Materials - Property of IBM
IBM  Enterprise Information Portal  for Multiplatforms V8.1  (program number 5724-B43)
(c) Copyright IBM Corp. 1998,  2002. All Rights Reserved.

US Government Users Restricted Rights
Use, duplication or disclosure restricted by GSA ADP Schedule
Contract with IBM Corp.

DISCLAIMER OF WARRANTIES :

Permission is granted to copy and modify this  Sample code, and to
distribute modified versions provided that both the copyright
notice,- and this permission notice and warranty disclaimer  appear in all copies and modified
versions.

THIS SAMPLE CODE IS LICENSED TO YOU AS-IS.
IBM  AND ITS SUPPLIERS AND LICENSORS  DISCLAIM
ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, IN SUCH SAMPLE CODE, INCLUDING THE WARRANTY
OF NON-INFRINGEMENT AND THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
PARTICULAR PURPOSE. IN NO EVENT WILL IBM OR ITS LICENSORS OR SUPPLIERS BE LIABLE FOR ANY
DAMAGES ARISING OUT OF THE USE OF  OR INABILITY TO USE THE SAMPLE CODE, DISTRIBUTION OF
THE SAMPLE CODE, OR COMBINATION OF THE SAMPLE CODE WITH ANY OTHER CODE. IN NO EVENT SHALL
IBM OR ITS LICENSORS AND SUPPLIERS BE LIABLE FOR ANY LOST REVENUE, LOST PROFITS OR DATA,
OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL,INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY,-, EVEN IF IBM OR ITS LICENSORS OR SUPPLIERS
HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

@endCopyright
*/

/*
A basic extension of the javax.swing.JApplet class
*/

import javax.swing.*;
import java.awt.*;
import com.ibm.mm.beans.CMBConnection;
import com.ibm.mm.beans.CMBSchemaManagement;
import com.ibm.mm.beans.util.CMBTraceLog;
import com.ibm.mm.beans.util.CMBExceptionHandler;
import com.ibm.mm.beans.CMBSearchResults;
import com.ibm.mm.beans.CMBQueryService;
import com.ibm.mm.beans.CMBSearchTemplate;
import com.ibm.mm.beans.CMBDataManagement;

public class DemoVcafe extends JApplet {
    public void init() {
        // Take out this line if you don't use symantec.itools.net.RelativeURL or symantec.itools.awt.util.StatusScroller
        symantec.itools.lang.Context.setApplet(this);

        // This line prevents the "Swing: checked access to system event queue" message seen in some browsers.
        getRootPane().putClientProperty("defeatSystemEventQueueCheck", Boolean.TRUE);

        // This code is automatically generated by Visual Cafe when you add
        // components to the visual environment. It instantiates and initializes
        // the components. To modify the code, only use code syntax that matches
        // what Visual Cafe can generate, or Visual Cafe may be unable to back
        // parse your Java file into its visual environment.
        //{{INIT_CONTROLS
        getContentPane().setLayout(new BorderLayout(0, 0));
        getContentPane().setBackground(java.awt.Color.white);
        getContentPane().setForeground(java.awt.Color.black);
        setSize(481, 459);
        //}}

        //{{REGISTER_LISTENERS
        SymCMBTrace lSymCMBTrace = new SymCMBTrace();
        SymCMBException lSymCMBException = new SymCMBException();
        SymCMBConnectionRequest lSymCMBConnectionRequest = new SymCMBConnectionRequest();
        SymPropertyChange lSymPropertyChange = new SymPropertyChange();
        SymCMBSchemaRequest lSymCMBSchemaRequest = new SymCMBSchemaRequest();
        SymCMBConnectionReply lSymCMBConnectionReply = new SymCMBConnectionReply();
        SymTemplateChange lSymTemplateChange = new SymTemplateChange();
        SymCMBSchemaReply lSymCMBSchemaReply = new SymCMBSchemaReply();
        SymCMBSearchRequest lSymCMBSearchRequest = new SymCMBSearchRequest();
        SymCMBSearchReply lSymCMBSearchReply = new SymCMBSearchReply();
        SymCMBResult lSymCMBResult = new SymCMBResult();
        SymVetoableChange lSymVetoableChange = new SymVetoableChange();
        SymItemRequest lSymItemRequest = new SymItemRequest();
        SymCMBDataRequest lSymCMBDataRequest = new SymCMBDataRequest();
        //}}
    }

    //{{DECLARE_CONTROLS
    //}}

    class SymCMBTrace implements com.ibm.mm.beans.CMBTraceListener {
        public void onCMBTrace(com.ibm.mm.beans.CMBTraceEvent event) {

        }
    }

    class SymCMBException implements com.ibm.mm.beans.CMBExceptionListener {
        public void onCMBException(com.ibm.mm.beans.CMBExceptionEvent event) {
            Object object = event.getSource();

        }
    }

    class SymCMBConnectionRequest implements com.ibm.mm.beans.CMBConnectionRequestListener {
        public void onCMBConnectionRequest(com.ibm.mm.beans.CMBConnectionRequestEvent event) {
        }
    }

    class SymPropertyChange implements java.beans.PropertyChangeListener {
        public void propertyChange(java.beans.PropertyChangeEvent event) {
        }
    }

    class SymCMBSchemaRequest implements com.ibm.mm.beans.CMBSchemaRequestListener {
        public void onCMBSchemaRequest(com.ibm.mm.beans.CMBSchemaRequestEvent event) {
        }
    }

    class SymCMBConnectionReply implements com.ibm.mm.beans.CMBConnectionReplyListener {
        public void onCMBConnectionReply(com.ibm.mm.beans.CMBConnectionReplyEvent event) {
        }
    }

    class SymTemplateChange implements TemplateChangeListener {
        public void onTemplateChange(TemplateChangeEvent event) {
        }
    }

    class SymCMBSchemaReply implements com.ibm.mm.beans.CMBSchemaReplyListener {
        public void onCMBSchemaReply(com.ibm.mm.beans.CMBSchemaReplyEvent event) {
        }
    }

    class SymCMBSearchRequest implements com.ibm.mm.beans.CMBSearchRequestListener {
        public void onCMBSearchRequest(com.ibm.mm.beans.CMBSearchRequestEvent event) {
        }
    }

    class SymCMBSearchReply implements com.ibm.mm.beans.CMBSearchReplyListener {
        public void onCMBSearchReply(com.ibm.mm.beans.CMBSearchReplyEvent event) {

        }
    }

    class SymCMBResult implements com.ibm.mm.beans.CMBResultListener {
        public void onCMBResult(com.ibm.mm.beans.CMBResultEvent event) {
        }
    }

    class SymVetoableChange implements java.beans.VetoableChangeListener {
        public void vetoableChange(java.beans.PropertyChangeEvent event) throws java.beans.PropertyVetoException {
        }
    }

    class SymItemRequest implements ItemRequestListener {
        public void onItemRequest(ItemRequestEvent event) {
        }
    }

    class SymCMBDataRequest implements com.ibm.mm.beans.CMBDataRequestListener {
        public void onCMBDataRequest(com.ibm.mm.beans.CMBDataRequestEvent event) {
        }
    }
}